Skip to main content
GET
/
deposit-addresses
/
{depositChain}
/
{destinationChain}
/
supported-tokens
Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.
curl --request GET \
  --url https://api.rhino.fi/bridge/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens
{
  "supportedTokens": [
    {
      "symbol": "<string>",
      "address": "<string>",
      "maxDepositLimitUsd": 1,
      "minDepositLimitUsd": 1
    }
  ]
}

Path Parameters

depositChain
string
required

The blockchain network identifier where the deposit address is located.

Minimum string length: 1
destinationChain
string
required

The blockchain network identifier where bridged tokens will be sent.

Minimum string length: 1

Query Parameters

tokenOut
string

Optional token to receive after bridging (for token swaps).

Response

SupportedTokensResponse

supportedTokens
object[]
required

List of tokens that can be deposited to this address.